Bug 838591 - vdsm is not looking for new libvirt-daemon package on vdsmd startup
vdsm is not looking for new libvirt-daemon package on vdsmd startup
Status: CLOSED NEXTRELEASE
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Kenigsberg
Haim
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 10:37 EDT by Eli Mesika
Modified: 2014-01-12 19:52 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 08:25:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli Mesika 2012-07-09 10:37:10 EDT
Description of problem:

libvirt has changed package name from libvirt to libvirt-daemon.
As a result, vdsm fails in start_libvirtd while trying to find
libvirt instead of libvirt-daemon
vdsm should add libvirt-daemon to the package list defined in
vdsmd.init.in:start_libvirtd


Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. update libvirt version to libvirt-0.9.13-2.el6.x86_64
2. update your vdsm version to vdsm-4.9.6-17.0.el6.x86_64
3. restart vdsmd 
  
Actual results:

[root@pluto-vdsa ~]# service vdsmd restart
 Shutting down vdsm daemon: 
 vdsm watchdog stop                                         [  OK  ]
 vdsm: not running                                          [FAILED]
 Stopping libvirtd daemon:                                  [FAILED]
 vdsm: libvirt already configured for vdsm                  [  OK  ]
 Starting iscsid: 
 diff: : No such file or directory
 /bin/cp: cannot stat `': No such file or directory
 vdsm: one of the dependent services did not start, error co[FAILED]


Expected results:
vdsm should support both old libvirt and new libvirt-daemon packages

Additional info:
Comment 3 Dan Kenigsberg 2012-07-16 17:42:53 EDT
Eli, if you have a fix, please mention it in bugzilla, too.

http://gerrit.ovirt.org/6076

Barak, libvirt-daemon was introduced in libvirt v0.9.12. Which I do not expect would surprise us in rhel-6.3.z. So you were correct in removing the flag.
Comment 4 Douglas Schilling Landgraf 2012-07-17 08:22:41 EDT
Based on previous comments, moving the bug to upstream.

Note You need to log in before you can comment on or make changes to this bug.